$grid: 100%;
$grid-size: 12;
$grid-value: $grid / $grid-size;

.flex {
  @include flex(initial, flex-start);
  flex-wrap: wrap;
  margin-left: -1rem;
  margin-right: -1rem;

  &__item {
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 2rem;
    order: 0;
    min-height: .1rem;
    flex-grow: 1;
    @for $i from 1 through $grid-size {
      &_#{ $i } {
        flex-basis: $i * $grid-value;
        max-width: $i * $grid-value;
      }
    }
    @include mobile-md {
      flex-basis: 100%;
      max-width: 100%;
    }
  }

  &_nogutter {
    margin-left: 0;
    margin-right: 0;
  }
  &_nogutter &__item {
    padding-left: 0;
    padding-right: 0;
  }

  &_relative {
    position: relative;
  }
}



